# Finalise upload (communicate the outcome) of an individual file upload (which may be one of a set of files being uploaded) Endpoint: PUT /v1/files/{targetType}/{targetId}/uploads/{uploadId} Version: 1.0 ## Path parameters: - `targetType` (string, required) The target of the uploadOptions:MatterMilestoneTaskOrganisationContractFileInvoiceBatchKnowledgeArticleFolderFolderTemplateKnowledgeLibraryInboundEmailUserMessageThreadTimelineEntryMatterStatusContractStatusMessageComment Enum: "Matter", "Milestone", "Task", "Organisation", "Contract", "File", "InvoiceBatch", "KnowledgeArticle", "Folder", "FolderTemplate", "KnowledgeLibrary", "InboundEmail", "User", "MessageThread", "TimelineEntry", "MatterStatus", "ContractStatus", "Message", "Comment" - `targetId` (integer, required) The id of the target type - `uploadId` (integer, required) The id of the upload ## Request fields (application/json-patch+json): - `outcome` (string) Options:FailedSucceeded Enum: "Succeeded", "Failed" - `conflictResolution` (string,null) Options:ReplaceKeepBothSaveVersionSkip Enum: "Replace", "KeepBoth", "SaveVersion", "Skip" - `failureReason` (string,null) - `comments` (string,null) - `isSigned` (boolean)